<?xml version="1.0" encoding="UTF-8"?>
<mappingtask>
  <config>
    <rewriteSubsumptions>true</rewriteSubsumptions>
    <rewriteCoverages>true</rewriteCoverages>
    <rewriteSelfJoins>true</rewriteSelfJoins>
    <rewriteEGDs>false</rewriteEGDs>
    <sortStrategy>-1</sortStrategy>
    <skolemTableStrategy>-1</skolemTableStrategy>
    <useLocalSkolem>false</useLocalSkolem>
  </config>
  <source>
    <type>relational</type>
    <relational>
      <driver>org.postgresql.Driver</driver>
      <uri>jdbc:postgresql:amalgam_s3_a</uri>
      <login>postgres</login>
      <password>postgres</password>
    </relational>
    <inclusions />
    <exclusions />
    <duplications />
    <functionalDependencies />
    <selectionConditions />
    <joinConditions>
      <joinCondition>
        <join>
          <from>amalgam_s3_a.articleauthor.articleauthorTuple.articleid</from>
          <to>amalgam_s3_a.article.articleTuple.articleid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s3_a.articleauthor.articleauthorTuple.authorid</from>
          <to>amalgam_s3_a.author.authorTuple.authorid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s3_a.unpubauthor.unpubauthorTuple.authorid</from>
          <to>amalgam_s3_a.author.authorTuple.authorid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s3_a.unpubauthor.unpubauthorTuple.unpubid</from>
          <to>amalgam_s3_a.unpublished.unpublishedTuple.unpubid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
    </joinConditions>
  </source>
  <target>
    <type>relational</type>
    <relational>
      <driver>org.postgresql.Driver</driver>
      <uri>jdbc:postgresql:amalgam_s4_b</uri>
      <login>postgres</login>
      <password>postgres</password>
    </relational>
    <inclusions />
    <exclusions />
    <duplications />
    <functionalDependencies />
    <selectionConditions />
    <joinConditions>
      <joinCondition>
        <join>
          <from>amalgam_s4_b.described.describedTuple.did</from>
          <to>amalgam_s4_b.descriptor.descriptorTuple.did</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_b.described.describedTuple.pid</from>
          <to>amalgam_s4_b.publication.publicationTuple.pid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_b.located.locatedTuple.lid</from>
          <to>amalgam_s4_b.location.locationTuple.lid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_b.located.locatedTuple.pid</from>
          <to>amalgam_s4_b.publication.publicationTuple.pid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_b.recorded.recordedTuple.pid</from>
          <to>amalgam_s4_b.publication.publicationTuple.pid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_b.recorded.recordedTuple.rid</from>
          <to>amalgam_s4_b.record.recordTuple.rid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_b.written.writtenTuple.aid</from>
          <to>amalgam_s4_b.author.authorTuple.aid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_b.written.writtenTuple.pid</from>
          <to>amalgam_s4_b.publication.publicationTuple.pid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
    </joinConditions>
  </target>
  <correspondences>
    <correspondence>
      <source-paths>
        <source-path>amalgam_s3_a.author.authorTuple.name</source-path>
      </source-paths>
      <target-path>amalgam_s4_b.author.authorTuple.name</target-path>
      <transformation-function>amalgam_s3_a.author.authorTuple.name</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>amalgam_s3_a.article.articleTuple.title</source-path>
      </source-paths>
      <target-path>amalgam_s4_b.publication.publicationTuple.title</target-path>
      <transformation-function>amalgam_s3_a.article.articleTuple.title</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>amalgam_s3_a.article.articleTuple.abstract</source-path>
      </source-paths>
      <target-path>amalgam_s4_b.publication.publicationTuple.abstract</target-path>
      <transformation-function>amalgam_s3_a.article.articleTuple.abstract</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>amalgam_s3_a.article.articleTuple.year</source-path>
      </source-paths>
      <target-path>amalgam_s4_b.written.writtenTuple.pubyear</target-path>
      <transformation-function>amalgam_s3_a.article.articleTuple.year</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
  </correspondences>
</mappingtask>

